Product: dmu26_XID+MIPS_ELAIS-N1

Version: 1.0

Author: Peter Hurley

Fields: ELAIS-N1

Selection filter: F_MIPS_24

Rights: N/A

Acknowledgements: N/A

Related products: wp4_elais-s1_mips24_map_v1.0.fits.gz, dmu17_MIPS_ELAIS-S1_20180116.fits, master_catalogue_elais-s1_20171207.fits
